pantera-digital/yii2-crm-contacts

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.
There is no license information available for the latest version (dev-master) of this package.

Yii2 CRM contacts module

dev-master 2018-07-13 16:08 UTC

This package is auto-updated.

Last update: 2021-09-17 12:05:42 UTC


README

Установка

Предпочтительно через composer:

composer require pantera-digital/yii2-crm-contacts "@dev"

Или добавьте в composer.json

"pantera-digital/yii2-crm-contacts": "@dev"

и выполните команду

composer update

Миграции

php yii migrate/up --migrationPath=@pantera/crm/contacts/migrations

Конфигурация

'modules' => [
    'contacts' => [
        'class' => 'pantera\crm\contacts\Module',
        'userModel' => 'dektrium\user\models\User', // 'userModel' => 'common\models\User',
        'permissions' => ['admin','manager','etc'], // будут применены ко всем контроллерам модуля 
    ],
],